:: To build Super Mario 64 for GameCube you will need the following:
::   . "Legend of Zelda, The - Ocarina of Time & Master Quest (Europe) (En,Fr,De).iso" from the Redump set
::   . mario64.z64, Super Mario 64 USA ROM image in big endian byte order
::       MD5: 20b854b239203baf6c961b850a4a51a2
::       SHA-1: 9bef1128717f958171a4afac3ed78ee2bb4e86ce
::       Microsoft free File Checksum Integrity Verifier (FCIV) tool https://support.microsoft.com/en-us/help/841290
::       online ROM byte order converter tool: https://hack64.net/tools/swapper.php
::   . gcr.exe, GCRebuilder v1.1 https://www.romhacking.net/utilities/619/
::   . tgctogcm.exe, from "GCM to TGC to GCM" 0.2 https://www.gc-forever.com/forums/download/file.php?id=92
::   . xdelta.exe, xdelta3 https://github.com/jmacd/xdelta-gpl/releases/tag/v3.0.11

@echo off
echo --Extracting emulator image from ISO...
gcr "Legend of Zelda, The - Ocarina of Time & Master Quest (Europe) (En,Fr,De).iso" root/zlj_f.tgc e zlj_f.tgc
tgctogcm.exe zlj_f.tgc zlj_f.gcm
echo.
echo --Build blank ROM
xdelta -d -f rom-blank.xdelta
echo.
echo --Insert blank ROM into GCM image
gcr zlj_f.gcm root/urazlp_f.n64 i urazlp_f.n64
echo.
echo --Apply SM64 hacks to GCM image
xdelta -d -f mario64-emu-hack.xdelta
echo.
echo --Pad SM64 ROM to 32MB
xdelta -d -f rom-padding.xdelta
echo.
echo --Insert SM64 ROM into GCM image
gcr mario64.gcm root/urazlp_f.n64 i urazlp_f.n64
echo.
echo --Convert to NKit
xdelta -d -f mario64.nkit.iso.xdelta
echo.
echo --If there were no errors above then 'Super Mario 64.nkit.iso' is ready
echo.
echo IMPORTANT! In Swiss set Force Text Encoding to ANSI for this game, otherwise it will warn that your memory card is corrupt and ask to format your memory card to Japanese. This is because as a tgc ripped from disc it lacks a conventional header. Swiss can successfully force 480p.
echo.
